Subject: bug#35784: emacs 26 crash

From: Noam Postavsky <[email-masked]>
Date: Sat, 18 May 2019 10:19:22 -0400

martin rudalics <[email-masked]> writes:

>> I'm able to reproduce using the latest emacs-26 branch (I don't have the
>> point releases checked out at the moment), both lucid and gtk3 builds.
>> It doesn't reproduce using master, there is a Lisp error (Symbol's
>> definition is void: new-frame) that interferes.
>
> Could you try with 'make-frame' instead of 'new-frame' (or defaliasing
> 'new-frame' to 'make-frame')?  Here I can't reproduce the crash with
> Emacs 27 and I'm a bit too lazy to delve deeper on my broken systems.

Ah, right, adding

    (defalias 'new-frame 'make-frame)

lets it reproduce on master too.